@ECHO OFF
IF EXIST KoboReader.sqlite (
	SET KOBOFILE="KoboReader.sqlite"
	GOTO START
)
IF EXIST Kobo.sqlite (
	SET KOBOFILE="Kobo.sqlite"
	GOTO START
)
IF EXIST "%LOCALAPPDATA%\Kobo\Kobo Desktop Edition\Kobo.sqlite" (
	SET KOBOFILE="%LOCALAPPDATA%\Kobo\Kobo Desktop Edition\Kobo.sqlite"
	GOTO START
)
GOTO NOTEXIST

:START

CLS
ECHO.
ECHO    [Kobo Exporter v2.2]
ECHO.
ECHO.
ECHO  *  %KOBOFILE%
ECHO.
ECHO.
ECHO    AQnN Kobo qlѶץX򤺮eP榡?
ECHO.
ECHO    (1) yM - HTML 榡
ECHO    (2) yM - Text ¤r榡
ECHO    (3) yM - CSV պ榡
ECHO.
ECHO    (4) yuPO - HTML 榡
ECHO    (5) yuPO - Text ¤r榡
ECHO    (6) yuPO - CSV պ榡
ECHO.
ECHO    (0) hX{
ECHO.
ECHO.
SET /p ASK=">  п? (0 ~ 6) "
IF "%ASK%" == "1" GOTO DOBHTML
IF "%ASK%" == "2" GOTO DOBTEXT
IF "%ASK%" == "3" GOTO DOBCSV
IF "%ASK%" == "4" GOTO DOAHTML
IF "%ASK%" == "5" GOTO DOATEXT
IF "%ASK%" == "6" GOTO DOACSV
IF "%ASK%" == "0" GOTO END
GOTO START

:DOBHTML

lib\sqlite3.exe %KOBOFILE% < lib\bhtml\html.sql
copy /B lib\bhtml\header_utf8.html+temp.html+lib\bhtml\footer_utf8.html MyBooks.html
del temp.html
SET KOBOEXPORT=MyBooks.html
CLS
ECHO.
ECHO    (1) yM - HTML 榡
ECHO.
GOTO SUCCESS

:DOBTEXT

lib\sqlite3.exe %KOBOFILE% < lib\btext\txt.sql
SET KOBOEXPORT=MyBooks.txt
CLS
ECHO.
ECHO    (2) yM - Text ¤r榡
ECHO.
GOTO SUCCESS

:DOBCSV

lib\sqlite3.exe %KOBOFILE% < lib\bcsv\csv.sql
copy /B lib\bcsv\header_utf8_bom.txt+temp.csv MyBooks.csv
del temp.csv
SET KOBOEXPORT=MyBooks.csv
CLS
ECHO.
ECHO    (3) yM - CSV պ榡
ECHO.
GOTO SUCCESS

:DOAHTML

lib\sqlite3.exe %KOBOFILE% < lib\ahtml\html.sql
copy /B lib\ahtml\header_utf8.html+temp.html+lib\ahtml\footer_utf8.html MyAnnotations.html
del temp.html
SET KOBOEXPORT=MyAnnotations.html
CLS
ECHO.
ECHO    (4) yuPO - HTML 榡
ECHO.
GOTO SUCCESS

:DOATEXT

lib\sqlite3.exe %KOBOFILE% < lib\atext\txt.sql
SET KOBOEXPORT=MyAnnotations.txt
CLS
ECHO.
ECHO    (5) yuPO - Text ¤r榡
ECHO.
GOTO SUCCESS

:DOACSV

lib\sqlite3.exe %KOBOFILE% < lib\acsv\csv.sql
copy /B lib\acsv\header_utf8_bom.txt+temp.csv MyAnnotations.csv
del temp.csv
SET KOBOEXPORT=MyAnnotations.csv
CLS
ECHO.
ECHO    (6) yuPO - CSV պ榡
ECHO.
GOTO SUCCESS

:SUCCESS

ECHO.
ECHO  * Ʈw: %KOBOFILE%
ECHO.
ECHO    wץX "%KOBOEXPORT%"
ECHO.
ECHO.
SET /p ASK=">  аݬO_n}ҥɮ? (Y/N) "
IF "%ASK%" == "Y" GOTO OPENFILE
IF "%ASK%" == "y" GOTO OPENFILE
GOTO END

:OPENFILE

explorer %KOBOEXPORT%
GOTO END

:NOTEXIST

ECHO.
ECHO    [Kobo Exporter v2.2]
ECHO.
ECHO.
ECHO    "KoboReader.sqlite"  "Kobo.sqlite" ɮפsb!
ECHO.
ECHO    Aƻs Kobo Ʈwɮר쥻Ƨ!
ECHO.
PAUSE

:END