.mode html
.output temp.html
.headers off
select B.Title as 'Book', row_number() over (partition by B.Title order by T.ContentID, T.ChapterProgress) as 'No', replace(T.Text,'	','') as 'Highlight', T.Annotation as 'Annotation',
replace(T.ContentId,replace(T.VolumeId,'file://',''),'') as Chapter, round(T.ChapterProgress*100,2) as '%Progress'
from content as B, Bookmark as T
where B.ContentID=T.VolumeID and T.Text!='' and T.Hidden='false'
order by T.ContentID, T.ChapterProgress;
.exit