.mode html
.output temp.html
.headers off
select Title as 'Book Title', Subtitle, Attribution as 'Author', Publisher, ISBN, date(DateCreated) as 'Release Date',
Series, SeriesNumber as 'Series#', AverageRating as 'Rating', ___PercentRead as '%Read',
CASE WHEN ReadStatus>0 THEN datetime(DateLastRead) END as 'Last Read', ___FileSize as 'File Size',
CASE WHEN Accessibility=1 THEN 'Store' ELSE CASE WHEN Accessibility=-1 THEN 'Import' ELSE CASE WHEN Accessibility=6 THEN 'Preview' ELSE 'Other' END END END as 'Source'
from content
where ContentType=6 and ___UserId is not null and ___UserId != '' and ___UserId != 'removed'
order by Source desc, Title;
.exit